# Mode (Release or snapshot?)
SNAPSHOT=@OPENCHANGE_VERSION_IS_SVN_SNAPSHOT@

# Binary
CC=@CC@
CXX=@CXX@
BISON=@BISON@
FLEX=@FLEX@
PIDL=@PIDL@
PERL=@PERL@
DOXYGEN=@DOXYGEN@
INSTALL=@INSTALL@
PYTHON=@PYTHON@
PYTHON_CONFIG=@PYTHON_CONFIG@
SMBTORTURE=@SMBTORTURE@

prefix=@prefix@
exec_prefix=@exec_prefix@
bindir=@bindir@
libdir=@libdir@
modulesdir=@modulesdir@
datarootdir=@datarootdir@
datadir=@datadir@
includedir=@includedir@
mandir=@mandir@
top_builddir=@builddir@
pythondir=@pythondir@

sambaprefix=@sambaprefix@

DSOOPT=-shared -fPIC
CFLAGS=@CFLAGS@ @COMPILER_OPTIONS_C@ @ASSERT_DEFINITION@ \
       -DDEFAULT_LDIF=\"$(datadir)/setup/profiles\"						\
       -DMAPISTORE_BACKEND_INSTALLDIR=\"$(libdir)/mapistore_backends\"				\
       -DMAPISTORE_MAPPING_PATH=\"$(prefix)/private/mapistore\"

# This value should be determined by configure at some point
SHLIBEXT=so
PACKAGE_VERSION=@PACKAGE_VERSION@

SAMBA_CFLAGS=@SAMBA_CFLAGS@
SAMBA_LIBS=@SAMBA_LIBS@

LDB_CFLAGS=@LDB_CFLAGS@
LDB_LIBS=@LDB_LIBS@

TDB_CFLAGS=@TDB_CFLAGS@
TDB_LIBS=@TDB_LIBS@

TALLOC_CFLAGS=@TALLOC_CFLAGS@
TALLOC_LIBS=@TALLOC_LIBS@

CFLAGS+=$(SAMBA_CFLAGS) $(LDB_CFLAGS) $(TALLOC_CFLAGS) $(TDB_CFLAGS)
LIBS+=$(SAMBA_LIBS) $(LDB_LIBS) $(TALLOC_LIBS)
LDFLAGS+=@LDFLAGS@

# Assign CFLAGS to CXXFLAGS
CXXFLAGS=@CFLAGS@ @COMPILER_OPTIONS_CXX@ $(SAMBA_CFLAGS) $(LDB_CFLAGS) $(TALLOC_CFLAGS) $(TDB_CFLAGS)

# OPENCHANGE LIBRARIES
OC_IDL=@OC_IDL@
OC_LIBS=@OC_LIBS@
OC_LIBS_INSTALL=@OC_LIBS_INSTALL@
OC_LIBS_UNINSTALL=@OC_LIBS_UNINSTALL@
OC_LIBS_INSTALLPC=@OC_LIBS_INSTALLPC@
OC_LIBS_INSTALLHEADER=@OC_LIBS_INSTALLHEADER@
OC_LIBS_INSTALLLIB=@OC_LIBS_INSTALLLIB@
LIBMAPIADMIN_LIBS+=@SAMR_LIBS@
LIBMAPIADMIN_CFLAGS=@SAMR_CFLAGS@


# TORTURE
OC_TORTURE=@OC_TORTURE@
OC_TORTURE_INSTALL=@OC_TORTURE_INSTALL@
OC_TORTURE_UNINSTALL=@OC_TORTURE_UNINSTALL@
SAMBA_MODULESDIR=${sambaprefix}/modules/
TORTURE_MODULESDIR=${SAMBA_MODULESDIR}torture/
SERVER_MODULESDIR=${SAMBA_MODULESDIR}dcerpc_server/

# TOOLS
OC_TOOLS=@OC_TOOLS@
OC_TOOLS_INSTALL=@OC_TOOLS_INSTALL@
OC_TOOLS_UNINSTALL=@OC_TOOLS_UNINSTALL@
MAGIC_LIBS=@MAGIC_LIBS@
ICAL_CFLAGS=@ICAL_CFLAGS@
ICAL_LIBS=@ICAL_LIBS@

# SERVER
OC_SERVER=@OC_SERVER@
OC_SERVER_INSTALL=@OC_SERVER_INSTALL@
OC_SERVER_UNINSTALL=@OC_SERVER_UNINSTALL@

# MAPISTORE BACKENDS
OC_MAPISTORE=@OC_MAPISTORE@
OC_MAPISTORE_CLEAN=@OC_MAPISTORE_CLEAN@
OC_MAPISTORE_INSTALL=@OC_MAPISTORE_INSTALL@
OC_MAPISTORE_UNINSTALL=@OC_MAPISTORE_UNINSTALL@

SQLITE_CFLAGS=@SQLITE_CFLAGS@
SQLITE_LIBS=@SQLITE_LIBS@

# SWIG
SWIGDIRS-ALL=@SWIGDIRSALL@
SWIGDIRS-INSTALL=@SWIGDIRSINSTALL@
SWIGDIRS-UNINSTALL=@SWIGDIRSUNINSTALL@

SWIG=@SWIG@

PERL5DIR=@PERL5DIR@

# Python
PYMAPIALL=@PYMAPIALL@
PYMAPIINSTALL=@PYMAPIINSTALL@
PYMAPIUNINSTALL=@PYMAPIUNINSTALL@

PYCDIR=@PYCDIR@

# Coverage
COVERAGE_INIT=@COVERAGE_INIT@

